cURL
curl --request POST \ --url https://vpos.payven.com.tr/api/v1/cancellation-requests/{id}/approve \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json; ver=1.0' \ --data ' { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "note": "<string>" } '
{ "message": "<string>", "isSuccess": true, "code": "<string>", "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "merchantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "requestedBy": "<string>", "requestedAt": "2023-11-07T05:31:56Z", "reason": "<string>", "status": "Pending", "reviewedBy": "<string>", "reviewedAt": "2023-11-07T05:31:56Z", "reviewNote": "<string>", "voidErrorCode": "<string>", "voidErrorMessage": "<string>", "transaction": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "amount": 123, "currency": "<string>", "status": "<string>", "created": "2023-11-07T05:31:56Z", "maskedCardNumber": "<string>", "connectorName": "<string>" } } }
Documentation IndexFetch the complete documentation index at: https://docs.payven.com.tr/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
OK
Show child attributes